Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractButton

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.gui.QWidget
                      com.trolltech.qt.gui.QAbstractButton

All Implemented Interfaces:
  QPaintDeviceInterface, QtJambiInterface

Direct Known Subclasses:
  QCheckBox, QPushButton, QRadioButton, QToolButton

    public abstract class QAbstractButton

extends QWidget

The `QAbstractButton` class is the abstract base class of button widgets, providing functionality common to buttons.

This class implements an abstract button. Subclasses of this class handle user actions, and specify how the button is drawn.

`QAbstractButton` provides support for both push buttons and checkable (toggle) buttons. Checkable buttons are implemented in the `QRadioButton` and `QCheckBox` classes. Push buttons are implemented in the `QPushButton` and `QToolButton` classes; these also provide toggle behavior if required.

Any button can display a label containing text and an icon. `setText` sets the text; `setIcon` sets the icon. If a button is disabled, its label is changed to give the button a "disabled" appearance.

If the button is a text button with a string containing an ampersand ('&'), `QAbstractButton` automatically creates a shortcut key. For example:

        QPushButton *button = new QPushButton(tr("Ro&ck && Roll"), this);

The Alt+C shortcut is assigned to the button, i.e., when the user presses Alt+C the button will call `animateClick`. See the QShortcut documentation for details (to display an actual ampersand, use '&&').

You can also set a custom shortcut key using the `setShortcut` function. This is useful mostly for buttons that do not have any text, because they have no automatic shortcut.

        button->setIcon(QIcon(":/images/print.png"));
        button->setShortcut(tr("Alt+F7"));

All of the buttons provided by Qt (`QPushButton`, `QToolButton`, `QCheckBox`, and `QRadioButton`) can display both text and icons.

A button can be made the default button in a dialog are provided by QPushButton::setDefault() and QPushButton::setAutoDefault().

`QAbstractButton` provides most of the states used for buttons:

- `isDown` indicates whether the button is pressed down.
- `isChecked` indicates whether the button is checked. Only checkable buttons can be checked and unchecked (see below).
- `isEnabled` indicates whether the button can be pressed by the user.
- `setAutoRepeat` sets whether the button will auto-repeat if the user holds it down. `autoRepeatDelay` and `autoRepeatInterval` define how auto-repetition is done.
- `setCheckable` sets whether the button is a toggle button or not.

The difference between `isDown` and `isChecked` is as follows. When the user clicks a toggle button to check it, the button is first pressed then released into the checked state. When the user clicks it again (to uncheck it), the button moves first to the pressed state, then to the unchecked state (`isChecked` and `isDown` are both false).

`QAbstractButton` provides four signals:

1. `pressed` is emitted when the left mouse button is pressed while the mouse cursor is inside the button.
2. `released` is emitted when the left mouse button is released.
3. `clicked` is emitted when the button is first pressed and then released, when the shortcut key is typed, or when `click` or `animateClick` is called.
4. `toggled` is emitted when the state of a toggle button changes.

To subclass `QAbstractButton`, you must reimplement at least `paintEvent` to draw the button's outline and its text or pixmap. It is generally advisable to reimplement `sizeHint` as well, and sometimes `hitButton` (to determine whether a button press is within the button). For buttons with more than two states (like tri-state buttons), you will also have to reimplement `checkStateSet` and `nextCheckState`.

See Also:
  `QButtonGroup`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QWidget
`QWidget.RenderFlag, QWidget.RenderFlags`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Field Summary
`QSignalEmitter.Signal1<java.lang.Boolean>` | `clicked` This signal is emitted when the button is activated (i.e. pressed down then released while the mouse cursor is inside the button), when the shortcut key is typed, or when `click` or `animateClick` is called.
`QSignalEmitter.Signal0` | `pressed` This signal is emitted when the button is pressed down.
`QSignalEmitter.Signal0` | `released` This signal is emitted when the button is released.
`QSignalEmitter.Signal1<java.lang.Boolean>` | `toggled` This signal is emitted whenever a checkable button changes its state.

Fields inherited from class com.trolltech.qt.gui.QWidget
`customContextMenuRequested`

Constructor Summary
`QAbstractButton()` Equivalent to `QAbstractButton`(0).
`QAbstractButton(QWidget parent)` Constructs an abstract button with a `parent`.

Method Summary
`void` | `animateClick()` Equivalent to `animateClick`(100).
`void` | `animateClick(int msec)` Performs an animated click: the button is pressed immediately, and released `msec` milliseconds later (the default is 100 ms).
`boolean` | `autoExclusive()` Returns whether auto-exclusivity is enabled.
`boolean` | `autoRepeat()` Returns whether `autoRepeat` is enabled.
`int` | `autoRepeatDelay()` Returns the initial delay of auto-repetition.
`int` | `autoRepeatInterval()` Returns the interval of auto-repetition.
`protected void` | `changeEvent(QEvent e)` This function is reimplemented for internal reasons.
`protected void` | `checkStateSet()` This virtual handler is called when `setChecked` was called, unless it was called from within `nextCheckState`.
`void` | `click()` Performs a click.
`boolean` | `event(QEvent e)` This function is reimplemented for internal reasons.
`protected void` | `focusInEvent(QFocusEvent e)` This function is reimplemented for internal reasons.
`protected void` | `focusOutEvent(QFocusEvent e)` This function is reimplemented for internal reasons.
`static QAbstractButton` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QAbstractButton instance pointed to by nativePointer
`QButtonGroup` | `group()` Returns the group that this button belongs to.
`protected boolean` | `hitButton(QPoint pos)` Returns true if `pos` is inside the clickable button rectangle; otherwise returns false.
`QIcon` | `icon()` Returns the icon shown on the button.
`QSize` | `iconSize()` Returns the icon size used for this button..
`boolean` | `isCheckable()` Returns whether the button is checkable.
`boolean` | `isChecked()` Returns whether the button is checked.
`boolean` | `isDown()` Returns whether the button is pressed down.
`protected void` | `keyPressEvent(QKeyEvent e)` This function is reimplemented for internal reasons.
`protected void` | `keyReleaseEvent(QKeyEvent e)` This function is reimplemented for internal reasons.
`protected void` | `mouseMoveEvent(QMouseEvent e)` This function is reimplemented for internal reasons.
`protected void` | `mousePressEvent(QMouseEvent e)` This function is reimplemented for internal reasons.
`protected void` | `mouseReleaseEvent(QMouseEvent e)` This function is reimplemented for internal reasons.
`protected void` | `nextCheckState()` This virtual handler is called when a button is clicked.
`protected abstract void` | `paintEvent(QPaintEvent e)` This function is reimplemented for internal reasons.
`void` | `setAutoExclusive(boolean arg__1)` Sets whether auto-exclusivity is enabled to `arg__1`.
`void` | `setAutoRepeat(boolean arg__1)` Sets whether `autoRepeat` is enabled to `arg__1`.
`void` | `setAutoRepeatDelay(int arg__1)` Sets the initial delay of auto-repetition to `arg__1`.
`void` | `setAutoRepeatInterval(int arg__1)` Sets the interval of auto-repetition to `arg__1`.
`void` | `setCheckable(boolean arg__1)` Sets whether the button is checkable to `arg__1`.
`void` | `setChecked(boolean arg__1)` Sets whether the button is checked to `arg__1`.
`void` | `setDown(boolean arg__1)` Sets whether the button is pressed down to `arg__1`.
`void` | `setIcon(QIcon icon)` Sets the icon shown on the button to `icon`.
`void` | `setIconSize(QSize size)` Sets the icon size used for this button.
`void` | `setShortcut(QKeySequence.StandardKey key)` Sets the shortcut to the key sequence for the given key.
`void` | `setShortcut(QKeySequence key)` Sets the mnemonic associated with the button to `key`.
`void` | `setShortcut(java.lang.String key)` Sets the shortcut to the key sequence for the given key string.
`void` | `setText(java.lang.String text)` Sets the text shown on the button to `text`.
`QKeySequence` | `shortcut()` Returns the mnemonic associated with the button.
`java.lang.String` | `text()` Returns the text shown on the button.
`protected void` | `timerEvent(QTimerEvent e)` This function is reimplemented for internal reasons.
`void` | `toggle()` Toggles the state of a checkable button.

Methods inherited from class com.trolltech.qt.gui.QWidget
`acceptDrops, accessibleDescription, accessibleName, actionEvent, actions, activateWindow, addAction, addActions, adjustSize, autoFillBackground, backgroundRole, baseSize, childAt, childAt, childrenRect, childrenRegion, clearFocus, clearMask, close, closeEvent, contentsRect, contextMenuEvent, contextMenuPolicy, createWinId, cursor, depth, destroy, destroy, destroy, devType, dragEnterEvent, dragLeaveEvent, dragMoveEvent, dropEvent, ensurePolished, enterEvent, focusNextChild, focusNextPrevChild, focusPolicy, focusPreviousChild, focusProxy, focusWidget, font, fontInfo, fontMetrics, foregroundRole, frameGeometry, frameSize, geometry, getContentsMargins, grabKeyboard, grabMouse, grabMouse, grabShortcut, grabShortcut, hasFocus, hasMouseTracking, height, heightForWidth, heightMM, hide, hideEvent, inputContext, inputMethodEvent, inputMethodQuery, insertAction, insertActions, isActiveWindow, isAncestorOf, isEnabled, isEnabledTo, isFullScreen, isHidden, isLeftToRight, isMaximized, isMinimized, isModal, isRightToLeft, isVisible, isVisibleTo, isWindow, isWindowModified, keyboardGrabber, layout, layoutDirection, leaveEvent, locale, logicalDpiX, logicalDpiY, lower, mapFrom, mapFromGlobal, mapFromParent, mapTo, mapToGlobal, mapToParent, mask, maximumHeight, maximumSize, maximumWidth, metric, minimumHeight, minimumSize, minimumSizeHint, minimumWidth, mouseDoubleClickEvent, mouseGrabber, move, move, moveEvent, nextInFocusChain, normalGeometry, numColors, overrideWindowFlags, overrideWindowFlags, overrideWindowState, overrideWindowState, paintEngine, paintingActive, palette, parentWidget, physicalDpiX, physicalDpiY, pos, raise, rect, releaseKeyboard, releaseMouse, releaseShortcut, removeAction, render, render, render, render, render, repaint, repaint, repaint, repaint, resetInputContext, resize, resize, resizeEvent, restoreGeometry, saveGeometry, scroll, scroll, setAcceptDrops, setAccessibleDescription, setAccessibleName, setAttribute, setAttribute, setAutoFillBackground, setBackgroundRole, setBaseSize, setBaseSize, setContentsMargins, setContentsMargins, setContextMenuPolicy, setCursor, setDisabled, setEnabled, setFixedHeight, setFixedSize, setFixedSize, setFixedWidth, setFocus, setFocus, setFocusPolicy, setFocusProxy, setFont, setForegroundRole, setGeometry, setGeometry, setHidden, setInputContext, setLayout, setLayoutDirection, setLocale, setMask, setMask, setMaximumHeight, setMaximumSize, setMaximumSize, setMaximumWidth, setMinimumHeight, setMinimumSize, setMinimumSize, setMinimumWidth, setMouseTracking, setPalette, setParent, setParent, setParent, setShortcutAutoRepeat, setShortcutAutoRepeat, setShortcutEnabled, setShortcutEnabled, setSizeIncrement, setSizeIncrement, setSizePolicy, setSizePolicy, setStatusTip, setStyle, setStyleSheet, setTabOrder, setToolTip, setUpdatesEnabled, setVisible, setWhatsThis, setWindowFlags, setWindowFlags, setWindowIcon, setWindowIconText, setWindowModality, setWindowModified, setWindowOpacity, setWindowRole, setWindowState, setWindowState, setWindowTitle, show, showEvent, showFullScreen, showMaximized, showMinimized, showNormal, size, sizeHint, sizeIncrement, sizePolicy, stackUnder, statusTip, style, styleSheet, tabletEvent, testAttribute, toolTip, underMouse, unsetCursor, unsetLayoutDirection, unsetLocale, update, update, update, update, updateGeometry, updateMicroFocus, updatesEnabled, visibleRegion, whatsThis, wheelEvent, width, widthMM, window, windowFlags, windowIcon, windowIconText, windowModality, windowOpacity, windowRole, windowState, windowTitle, windowType, winId, x, y`

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Field Detail

### clicked

    public final QSignalEmitter.Signal1<java.lang.Boolean> clicked

  This signal is emitted when the button is activated (i.e. pressed down then released while the mouse cursor is inside the button), when the shortcut key is typed, or when `click` or `animateClick` is called. Notably, this signal is not emitted if you call `setDown`, `setChecked` or `toggle`.

  If the button is checkable, `checked` is true if the button is checked, or false if the button is unchecked.

  Compatible Slot Signatures:
    `void mySlot(boolean checked)`
    `void mySlot()`
  See Also:
    `pressed`, `released`, `toggled`

### pressed

    public final QSignalEmitter.Signal0 pressed

  This signal is emitted when the button is pressed down.

  Compatible Slot Signature:
    `void mySlot()`
  See Also:
    `released`, `clicked`

### released

    public final QSignalEmitter.Signal0 released

  This signal is emitted when the button is released.

  Compatible Slot Signature:
    `void mySlot()`
  See Also:
    `pressed`, `clicked`, `toggled`

### toggled

    public final QSignalEmitter.Signal1<java.lang.Boolean> toggled

  This signal is emitted whenever a checkable button changes its state. `checked` is true if the button is checked, or false if the button is unchecked.

  This may be the result of a user action, `click` slot activation, or because `setChecked` was called.

  The states of buttons in exclusive button groups are updated before this signal is emitted. This means that slots can act on either the "off" signal or the "on" signal emitted by the buttons in the group whose states have changed.

  For example, a slot that reacts to signals emitted by newly checked buttons but which ignores signals from buttons that have been unchecked can be implemented using the following pattern:

          void MyWidget::reactToToggle(bool checked)
          {
             if (checked) {
                // Examine the new button states.
                ...
             }
          }

  Button groups can be created using the `QButtonGroup` class, and updates to the button states monitored with the `QButtonGroup::buttonClicked` signal.

  Compatible Slot Signatures:
    `void mySlot(boolean checked)`
    `void mySlot()`
  See Also:
    checked, `clicked`

Constructor Detail

### QAbstractButton

    public QAbstractButton()

  Equivalent to `QAbstractButton`(0).

### QAbstractButton

    public QAbstractButton(QWidget parent)

  Constructs an abstract button with a `parent`.

Method Detail

### animateClick

    public final void animateClick()

  Equivalent to `animateClick`(100).

### animateClick

    public final void animateClick(int msec)

  Performs an animated click: the button is pressed immediately, and released `msec` milliseconds later (the default is 100 ms).

  Calling this function again before the button was released will reset the release timer.

  All signals associated with a click are emitted as appropriate.

  This function does nothing if the button is disabled.

  See Also:
    `click`

### autoExclusive

    public final boolean autoExclusive()

  Returns whether auto-exclusivity is enabled.

  If auto-exclusivity is enabled, checkable buttons that belong to the same parent widget behave as if they were part of the same exclusive button group. In an exclusive button group, only one button can be checked at any time; checking another button automatically unchecks the previously checked one.

  The property has no effect on buttons that belong to a button group.

  `autoExclusive` is off by default, except for radio buttons.

  See Also:
    `setAutoExclusive`, `QRadioButton`

### autoRepeat

    public final boolean autoRepeat()

  Returns whether `autoRepeat` is enabled.

  If `autoRepeat` is enabled, then the `pressed`, `released`, and `clicked` signals are emitted at regular intervals when the button is down. `autoRepeat` is off by default. The initial delay and the repetition interval are defined in milliseconds by `autoRepeatDelay` and `autoRepeatInterval`.

  Note: If a button is pressed down by a shortcut key, then auto-repeat is enabled and timed by the system and not by this class. The `pressed`, `released`, and `clicked` signals will be emitted like in the normal case.

  See Also:
    `setAutoRepeat`

### autoRepeatDelay

    public final int autoRepeatDelay()

  Returns the initial delay of auto-repetition.

  If `autoRepeat` is enabled, then `autoRepeatDelay` defines the initial delay in milliseconds before auto-repetition kicks in.

  See Also:
    `setAutoRepeatDelay`, `autoRepeat`, `autoRepeatInterval`

### autoRepeatInterval

    public final int autoRepeatInterval()

  Returns the interval of auto-repetition.

  If `autoRepeat` is enabled, then `autoRepeatInterval` defines the length of the auto-repetition interval in millisecons.

  See Also:
    `setAutoRepeatInterval`, `autoRepeat`, `autoRepeatDelay`

### click

    public final void click()

  Performs a click.

  All the usual signals associated with a click are emitted as appropriate. If the button is checkable, the state of the button is toggled.

  This function does nothing if the button is disabled.

  See Also:
    `animateClick`

### group

    public final QButtonGroup group()

  Returns the group that this button belongs to.

  If the button is not a member of any `QButtonGroup`, this function returns 0.

  See Also:
    `QButtonGroup`

### icon

    public final QIcon icon()

  Returns the icon shown on the button.

  The icon's default size is defined by the GUI style, but can be adjusted by setting the `iconSize` property.

  See Also:
    `setIcon`

### iconSize

    public final QSize iconSize()

  Returns the icon size used for this button..

  The default size is defined by the GUI style. This is a maximum size for the icons. Smaller icons will not be scaled up.

  See Also:
    `setIconSize`

### isCheckable

    public final boolean isCheckable()

  Returns whether the button is checkable.

  By default, the button is not checkable.

  See Also:
    `checked`

### isChecked

    public final boolean isChecked()

  Returns whether the button is checked.

  Only checkable buttons can be checked. By default, the button is unchecked.

  See Also:
    `checkable`

### isDown

    public final boolean isDown()

  Returns whether the button is pressed down.

  If this property is true, the button is pressed down. The signals `pressed` and `clicked` are not emitted if you set this property to true. The default is false.

### setAutoExclusive

    public final void setAutoExclusive(boolean arg__1)

  Sets whether auto-exclusivity is enabled to `arg__1`.

  If auto-exclusivity is enabled, checkable buttons that belong to the same parent widget behave as if they were part of the same exclusive button group. In an exclusive button group, only one button can be checked at any time; checking another button automatically unchecks the previously checked one.

  The property has no effect on buttons that belong to a button group.

  `autoExclusive` is off by default, except for radio buttons.

  See Also:
    `autoExclusive`, `QRadioButton`

### setAutoRepeat

    public final void setAutoRepeat(boolean arg__1)

  Sets whether `autoRepeat` is enabled to `arg__1`.

  If `autoRepeat` is enabled, then the `pressed`, `released`, and `clicked` signals are emitted at regular intervals when the button is down. `autoRepeat` is off by default. The initial delay and the repetition interval are defined in milliseconds by `autoRepeatDelay` and `autoRepeatInterval`.

  Note: If a button is pressed down by a shortcut key, then auto-repeat is enabled and timed by the system and not by this class. The `pressed`, `released`, and `clicked` signals will be emitted like in the normal case.

  See Also:
    `autoRepeat`

### setAutoRepeatDelay

    public final void setAutoRepeatDelay(int arg__1)

  Sets the initial delay of auto-repetition to `arg__1`.

  If `autoRepeat` is enabled, then `autoRepeatDelay` defines the initial delay in milliseconds before auto-repetition kicks in.

  See Also:
    `autoRepeatDelay`, `autoRepeat`, `autoRepeatInterval`

### setAutoRepeatInterval

    public final void setAutoRepeatInterval(int arg__1)

  Sets the interval of auto-repetition to `arg__1`.

  If `autoRepeat` is enabled, then `autoRepeatInterval` defines the length of the auto-repetition interval in millisecons.

  See Also:
    `autoRepeatInterval`, `autoRepeat`, `autoRepeatDelay`

### setCheckable

    public final void setCheckable(boolean arg__1)

  Sets whether the button is checkable to `arg__1`.

  By default, the button is not checkable.

  See Also:
    `isCheckable`, `checked`

### setChecked

    public final void setChecked(boolean arg__1)

  Sets whether the button is checked to `arg__1`.

  Only checkable buttons can be checked. By default, the button is unchecked.

  See Also:
    `isChecked`, `checkable`

### setDown

    public final void setDown(boolean arg__1)

  Sets whether the button is pressed down to `arg__1`.

  If this property is true, the button is pressed down. The signals `pressed` and `clicked` are not emitted if you set this property to true. The default is false.

  See Also:
    `isDown`

### setIcon

    public final void setIcon(QIcon icon)

  Sets the icon shown on the button to `icon`.

  The icon's default size is defined by the GUI style, but can be adjusted by setting the `iconSize` property.

  See Also:
    `icon`

### setIconSize

    public final void setIconSize(QSize size)

  Sets the icon size used for this button. to `size`.

  The default size is defined by the GUI style. This is a maximum size for the icons. Smaller icons will not be scaled up.

  See Also:
    `iconSize`

### setShortcut

    public final void setShortcut(QKeySequence key)

  Sets the mnemonic associated with the button to `key`.

  See Also:
    `shortcut`

### setText

    public final void setText(java.lang.String text)

  Sets the text shown on the button to `text`.

  If the button has no text, the `text` function will return a an empty string.

  If the text contains an ampersand character ('&'), a shortcut is automatically created for it. The character that follows the '&' will be used as the shortcut key. Any previous shortcut will be overwritten, or cleared if no shortcut is defined by the text. See the QShortcut documentation for details (to display an actual ampersand, use '&&').

  There is no default text.

  See Also:
    `text`

### shortcut

    public final QKeySequence shortcut()

  Returns the mnemonic associated with the button.

  See Also:
    `setShortcut`

### text

    public final java.lang.String text()

  Returns the text shown on the button.

  If the button has no text, the `text` function will return a an empty string.

  If the text contains an ampersand character ('&'), a shortcut is automatically created for it. The character that follows the '&' will be used as the shortcut key. Any previous shortcut will be overwritten, or cleared if no shortcut is defined by the text. See the QShortcut documentation for details (to display an actual ampersand, use '&&').

  There is no default text.

  See Also:
    `setText`

### toggle

    public final void toggle()

  Toggles the state of a checkable button.

  See Also:
    `checked`

### changeEvent

    protected void changeEvent(QEvent e)

  This function is reimplemented for internal reasons.

  Overrides:
    `changeEvent` in class `QWidget`

### checkStateSet

    protected void checkStateSet()

  This virtual handler is called when `setChecked` was called, unless it was called from within `nextCheckState`. It allows subclasses to reset their intermediate button states.

  See Also:
    `nextCheckState`

### event

    public boolean event(QEvent e)

  This function is reimplemented for internal reasons.

  Overrides:
    `event` in class `QWidget`
  See Also:
    `closeEvent`, `focusInEvent`, `focusOutEvent`, `enterEvent`, `keyPressEvent`, `keyReleaseEvent`, `leaveEvent`, `mouseDoubleClickEvent`, `mouseMoveEvent`, `mousePressEvent`, `mouseReleaseEvent`, `moveEvent`, `paintEvent`, `resizeEvent`, `QObject::event`, `QObject::timerEvent`

### focusInEvent

    protected void focusInEvent(QFocusEvent e)

  This function is reimplemented for internal reasons.

  Overrides:
    `focusInEvent` in class `QWidget`
  See Also:
    `focusOutEvent`, `setFocusPolicy`, `keyPressEvent`, `keyReleaseEvent`, `event`, `QFocusEvent`

### focusOutEvent

    protected void focusOutEvent(QFocusEvent e)

  This function is reimplemented for internal reasons.

  Overrides:
    `focusOutEvent` in class `QWidget`
  See Also:
    `focusInEvent`, `setFocusPolicy`, `keyPressEvent`, `keyReleaseEvent`, `event`, `QFocusEvent`

### hitButton

    protected boolean hitButton(QPoint pos)

  Returns true if `pos` is inside the clickable button rectangle; otherwise returns false.

  By default, the clickable area is the entire widget. Subclasses may reimplement this function to provide support for clickable areas of different shapes and sizes.

### keyPressEvent

    protected void keyPressEvent(QKeyEvent e)

  This function is reimplemented for internal reasons.

  Overrides:
    `keyPressEvent` in class `QWidget`
  See Also:
    `keyReleaseEvent`, `QKeyEvent::ignore`, `setFocusPolicy`, `focusInEvent`, `focusOutEvent`, `event`, `QKeyEvent`, Tetrix Example

### keyReleaseEvent

    protected void keyReleaseEvent(QKeyEvent e)

  This function is reimplemented for internal reasons.

  Overrides:
    `keyReleaseEvent` in class `QWidget`
  See Also:
    `keyPressEvent`, `QKeyEvent::ignore`, `setFocusPolicy`, `focusInEvent`, `focusOutEvent`, `event`, `QKeyEvent`

### mouseMoveEvent

    protected void mouseMoveEvent(QMouseEvent e)

  This function is reimplemented for internal reasons.

  Overrides:
    `mouseMoveEvent` in class `QWidget`
  See Also:
    `setMouseTracking`, `mousePressEvent`, `mouseReleaseEvent`, `mouseDoubleClickEvent`, `event`, `QMouseEvent`, `Example`

### mousePressEvent

    protected void mousePressEvent(QMouseEvent e)

  This function is reimplemented for internal reasons.

  Overrides:
    `mousePressEvent` in class `QWidget`
  See Also:
    `mouseReleaseEvent`, `mouseDoubleClickEvent`, `mouseMoveEvent`, `event`, `QMouseEvent`, `Example`

### mouseReleaseEvent

    protected void mouseReleaseEvent(QMouseEvent e)

  This function is reimplemented for internal reasons.

  Overrides:
    `mouseReleaseEvent` in class `QWidget`
  See Also:
    `mousePressEvent`, `mouseDoubleClickEvent`, `mouseMoveEvent`, `event`, `QMouseEvent`, `Example`

### nextCheckState

    protected void nextCheckState()

  This virtual handler is called when a button is clicked. The default implementation calls `setChecked`(!`isChecked`) if the button `isCheckable`. It allows subclasses to implement intermediate button states.

  See Also:
    `checkStateSet`

### paintEvent

    protected abstract void paintEvent(QPaintEvent e)

  This function is reimplemented for internal reasons.

  Overrides:
    `paintEvent` in class `QWidget`
  See Also:
    `event`, `repaint`, `update`, `QPainter`, `QPixmap`, `QPaintEvent`, Analog Clock Example

### timerEvent

    protected void timerEvent(QTimerEvent e)

  This function is reimplemented for internal reasons.

  Overrides:
    `timerEvent` in class `QObject`
  See Also:
    `startTimer`, `killTimer`, `event`

### fromNativePointer

    public static QAbstractButton fromNativePointer(QNativePointer nativePointer)

  This function returns the QAbstractButton instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### setShortcut

    public void setShortcut(java.lang.String key)

  Sets the shortcut to the key sequence for the given key string. For example "Ctrl+O" gives CTRL+'O'. The strings "Ctrl", "Shift", "Alt" and "Meta" are recognized, as well as their translated equivalents in the "QShortcut" context (using QObject::tr()). Up to four key codes may be entered by separating them with commas, e.g. "Alt+X,Ctrl+S,Q".

  Parameters:
    `key` - The description of the key sequence. Typically used with tr() so key sequences can be locale aware.

### setShortcut

    public void setShortcut(QKeySequence.StandardKey key)

  Sets the shortcut to the key sequence for the given key. The result will depend on the currently running platform. The key sequence will be based on the first element in the list of key bindings for the key.

  Parameters:
    `key` - The key for which to select a key sequence

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD